Module modWuerfeln
    Public intAugenZahlen(5) As Integer     ' augenzahlen der würfel
    Public BildNr As New ArrayList          ' bildernummer der würfel
    Public ZeichneWuerfel As New ArrayList  ' zuordnung der bilder
    Public booGesperrt As Boolean           ' (False) animation läuft / noch nicht gewürfelt
    Private intRandom As New Random         ' zufallsgenerator
    '-------------------
    Public Sub NeuWuerfeln()
        Dim i As Integer
        Form1.LstZahlen.Items.Clear()
        For i = 1 To 5       '-- zufallszahl zuweise
            If ZeichneWuerfel(i).Visible Then
                intAugenZahlen(i) = intRandom.Next(1, 7)
            End If
        Next
        Form1.LstZahlen.Items.Clear()  '-- liste löschen
        For i = 1 To 5   '-- liste mit den aktuellen zahlen füllen 
            Form1.LstZahlen.Items.Add(intAugenZahlen(i).ToString)
        Next
    End Sub
End Module
